Name:           mu
Version:        0.9.13
Release:        1%{?dist}
Summary:        A simple Python editor not only for micro:bit
License:        GPLv3
URL:            https://github.com/mu-editor/mu
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-appdirs
BuildRequires:  python3-microfs
BuildRequires:  python3-devel
BuildRequires:  python3-pep8
BuildRequires:  python3-pyflakes
BuildRequires:  python3-pyserial
BuildRequires:  python3-pytest
BuildRequires:  python3-qscintilla-qt5
BuildRequires:  python3-qt5
BuildRequires:  python3-setuptools
BuildRequires:  python3-uflash

BuildRequires:  qt5-qtserialport >= 5.5.0

BuildRequires:  %{_bindir}/desktop-file-install
BuildRequires:  %{_bindir}/xvfb-run

Requires:       python3-appdirs
Requires:       python3-microfs
Requires:       python3-qscintilla-qt5
Requires:       python3-qt5
Requires:       python3-uflash

%description
mu is a simple Python editor also for BBC micro:bit devices.

%prep
%setup -q

# unbundle things
sed -i 's/from mu.contrib import /import /' mu/logic.py
rm -rf mu/contrub

%build
%py3_build

%install
%py3_install
desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/mu.desktop

%check
xvfb-run %{__python3} -m pytest -vv tests

%files
%doc README.rst LICENSE
%{_bindir}/mu
%{python3_sitelib}/mu*
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-usb-microbit.rules
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Apr 10 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.13-1
- Updated to 0.9.13
- Unbundle things
- Run tests

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Apr 13 2016 Kushal Das <kushal@fedoraprojects.org> - 0.2-1
- Updates to 0.2 release

* Fri Feb 26 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-2
- Updates the desktop file creation

* Tue Feb 02 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-1
- Initial package creation
